
QGIS Application - Bug report #21710

QGIS 3.4.4 Madeira installed on Ubuntu 18.04  using Flatpak fails  to perform polygonize (raster to 

vector) 

2019-03-30 05:51 AM - Arjuna Rao Chavala

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.4 Regression?: No

Operating System: Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 29526

Description

Error log

----------

2019-03-30T10:16:33     INFO    gdal_polygonize.py /home/arjun/indiagisdata/telangana/telangana1.png

/tmp/processing_91b4843dc4c543d79fff84e713ceae7b/ad747e23d2b64381933a72ead5e2f968/OUTPUT.shp -8 -b 1 -f "ESRI

Shapefile" DN

2019-03-30T10:16:33     INFO    GDAL execution console output

             Traceback (most recent call last):

File "/app/bin/gdal_polygonize.py", line 36, in 

from osgeo import gdal

ImportError: No module named osgeo

History

#1 - 2019-03-30 11:18 AM - Giovanni Manghi

- Category changed from GDAL Tools to Build/Install

I think (not 100% sure) flatpack is not an officially supported installer, so you may need to solve some dependencies manually.

#2 - 2019-03-30 03:09 PM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

apparently python3-gdal is missing from that flatpak.  Not sure, but I think this should go to https://github.com/flathub/org.qgis.qgis/issues.

#3 - 2019-03-30 10:06 PM - Jürgen Fischer

Jürgen Fischer wrote:

apparently python3-gdal is missing from that flatpak.  Not sure, but I think this should go to https://github.com/flathub/org.qgis.qgis/issues.

See also https://github.com/flathub/org.qgis.qgis/issues/28
#4 - 2019-04-02 01:48 AM - Aleix Pol Gonzalez

Hi, I'm Aleix and I'm maintaining QGIS Flatpak packaging so far.

Thanks for reporting, if you ever want to get more involved in the flatpak packaging, I'll be happy to help and collaborate.

As for this issue, I'll see to it when I have some time.

Cheers!
